VocalDocscontracts 1.65.0

Prompt templates

Prompt templates, their versions and renders, the prompt bases and the library.

OperationSummaryScopeReleased inPhase 0 host
GET /v1/prompt-basesList the platform basesprompts:read1.55.0served
GET /v1/prompt-bases/{version}Read a platform baseprompts:read1.55.0served
GET /v1/prompt-libraryList the template libraryprompts:read1.55.0served
GET /v1/prompt-library/{slug}Read a library templateprompts:read1.55.0served
GET /v1/prompt-templatesList Prompt templatesprompts:read1.55.0served
POST /v1/prompt-templatesCreate a Prompt templateprompts:write1.55.0served
GET /v1/prompt-templates/{prompt_template_id}Read a Prompt templateprompts:read1.55.0served
PATCH /v1/prompt-templates/{prompt_template_id}Update the Prompt template draftprompts:write1.55.0served
DELETE /v1/prompt-templates/{prompt_template_id}Archive a Prompt templateprompts:write1.55.0served
GET /v1/prompt-templates/{prompt_template_id}/diffCompare two versions of a Prompt template, or a version and the draftprompts:read1.55.0served
GET /v1/prompt-templates/{prompt_template_id}/pinsList the Agent versions that use a Prompt templateprompts:read1.58.0served
POST /v1/prompt-templates/{prompt_template_id}/renderDry-run render a Prompt templateprompts:read1.55.0served
GET /v1/prompt-templates/{prompt_template_id}/versionsList a Prompt template's versionsprompts:read1.55.0served
POST /v1/prompt-templates/{prompt_template_id}/versionsPublish the Prompt template draft as a new versionprompts:write1.55.0served
GET /v1/prompt-templates/{prompt_template_id}/versions/{version}Read a Prompt template versionprompts:read1.55.0served
POST /v1/prompt-templates/{prompt_template_id}/versions/{version}/activateActivate a Prompt template versionprompts:write1.55.0served